- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.ListCaseCommentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseComments.list

Lists CaseComments associated with a specific Case. Use this method to retrieve a chronological record of analyst interactions and observations for a case. Supports filtering by author, creation time and other fields.

### HTTP request

`GET https://{endpoint}/v1/{parent}/caseComments`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list CaseComments for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseComments |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of CaseComments to return. The service may return fewer than this value. If unspecified, at most 50 CaseComments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `caseComments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of CaseComments. Supported filter fields: \* `createTime`: Filter by the create time. \* `updateTime`: Filter by the update time. \* `user`: Filter by the user. \* `comment`: Filter by the comment. \* `deletionInvoker`: Filter by the deletion invoker. \* `favorite`: Filter by the favorite. \* `alert`: Filter by the alert. \* `deleted`: Filter by the deleted. Example: `filter="comment='some_comment'"` |
| `orderBy` | `string` Optional. Configures ordering of CaseComments in the response. If not specified, CaseComments are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `createTime` \* `updateTime` \* `user` \* `comment` \* `deletionInvoker` \* `favorite` \* `alert` \* `deleted` For example: "comment desc, favorite" |
| `expand` | `string` Optional. Expand the response to include the full comment object. Supported values: \* `caseAttachment` example: "?expand=caseAttachment" |

### Request body

The request body must be empty.

### Response body

Response message for caseComments.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caseComments": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments#CaseComment`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `caseComments[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseComments#CaseComment`)`` The list of CaseComments. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of CaseComments. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseComments.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).